Name:           python-micropython-europi
Version:        0.19.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        EuroPi module for MicroPython

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Allen-Synthesis/EuroPi
Source:         %{pypi_source micropython-europi}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'micropython-europi' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-micropython-europi
Summary:        %{summary}

%description -n python3-micropython-europi %_description


%prep
%autosetup -p1 -n micropython-europi-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-micropython-europi -f %{pyproject_files}


%changelog
%autochangelog